# refdes_renum

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
RETURN CODES
EXAMPLES
AUTHOR
SEE ALSO
COPYRIGHT

## NAME

refdes_renum − gEDA/gaf refdes renumbering utility

## SYNOPSIS

refdes_renum [−−nocopy] [−−pgskip [ number ] ] file1 ...

refdes_renum --help

refdes_renum --version

## DESCRIPTION

refdes_renum reads a gschem schematic file or files and renumbers all reference designators. The reference designators are numbered starting with 1 and the old schematic file is replaced by the modified schematic file.

## OPTIONS

| −−help |  | Display a help message. |

−−nocopy

If given, this flag leaves the modified files in new files whose names are generated by appending a ‘.renum’ to the original file names. The default is to overwrite the original.

−−pgskip

When this flag is used, components on the first schematic sheet are numbered starting with 101. On the second sheet, they start with 201, etc Specifying a value gives the step between pages. For example −−pgskip 10 will start with 11, 21, 31, etc.

−−gentle

This flag tells refdes_renum to leave any refdeses alone if they already have numbers. Use this option to number new components in a schematic which has already been numbered. Note that −−gentle is set by default!

−−force

Set this flag to renumber all refdeses, whether they are already numbered or not.

−−verbose

Enables verbose output.

−−version

Shows the version of this program.

## RETURN CODES

refdes_renum returns the following codes to the shell upon completion:

| 0 |  | Program ran successfully. |
| 1 |  | Error opening or reading input file. |
| 2 |  | Error opening or writing output file. |
| 3 |  | Too many components for −−pgskip setting. |
| 4 |  | Internal error (program bug encountered). |

## EXAMPLES

To renumber the reference designators in a single page schematic mysch.sch:

refdes_renum mysch.sch

To renumber the reference designators in schematic pages pg1.sch, pg2.sch and pg3.sch, with the reference designators on pg1.sch beginning at 101, the designators on pg2.sch beginning at 201, and the designators on pg3.sch beginning at 301:

refdes_renum −−pgskip pg1.sch pg2.sch pg3.sch

## AUTHOR

Dan McMahill <danmcmahill@netbsd.org>

## SEE ALSO

grenum(1)

## COPYRIGHT

Copyright © 1999-2011 gEDA Contributors. License GPLv2+: GNU GPL
version 2 or later. Please see the ‘COPYING’ file included with this
program for full details.

This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.